GET /v1/treasury/transactions

stripe.com

Summary:
Operation ID: GetTreasuryTransactions
Auth: unknown
Description

<p>Retrieves a list of Transaction objects.</p>

Parameters (9)

created (?, query, optional)
ending_before (string, query, optional)

A cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.

Constraints: {'maxLength': 5000}

expand (array, query, optional)

Specifies which fields in the response should be expanded.

financial_account (string, query, required)

Returns objects associated with this FinancialAccount.

limit (integer, query, optional)

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

order_by (string, query, optional)

The results are in reverse chronological order by `created` or `posted_at`. The default is `created`.

Constraints: {'enum': ['created', 'posted_at']}

starting_after (string, query, optional)

A cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.

Constraints: {'maxLength': 5000}

status (string, query, optional)

Only return Transactions that have the given status: `open`, `posted`, or `void`.

Constraints: {'enum': ['open', 'posted', 'void']}

status_transitions (object, query, optional)

A filter for the `status_transitions.posted_at` timestamp. When using this filter, `status=posted` and `order_by=posted_at` must also be specified.

No probe data for this endpoint yet.